/*
 * Copyright (C) 2023 Hasl Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef HASL_VERSION_CONSTS_H
#define HASL_VERSION_CONSTS_H

/**
 * HASL_MAJOR_VERSION:
 *
 * The major version of the version of HASL that was compiled against.
 *
 * Since: 0.2.0
 */
#define HASL_MAJOR_VERSION (0)

/**
 * HASL_MINOR_VERSION:
 *
 * The minor version of the version of HASL that was compiled against.
 *
 * Since: 0.2.0
 */
#define HASL_MINOR_VERSION (4)

/**
 * HASL_MICRO_VERSION:
 *
 * The micro version of the version of HASL that was compiled against.
 *
 * Since: 0.2.0
 */
#define HASL_MICRO_VERSION (0)

/**
 * HASL_EXTRA_VERSION:
 *
 * The extra version of the version of HASL that was compiled against.
 *
 * Since: 0.2.0
 */
#define HASL_EXTRA_VERSION ("")

/**
 * HASL_VERSION:
 *
 * The full version number for the version of HASL that was compiled against.
 *
 * Since: 0.2.0
 */
#define HASL_VERSION ("0.4.0")

#endif /* HASL_VERSION_CONSTS_H */
